#include <iostream>
#include <cstdio>
int main()
{
long long int n;
int poc,a,l;
scanf( "%Ld" , &n);
scanf( "%d" , &poc);
int min = poc;
int max = poc;
for(int i=0; i<n; i++)
{
    scanf( "%d", &a);
    if(a<=min)
    {
        min=a;
    }
    if(a>=max)
    {
        max=a;
    }
}
if((poc-min)<(max-poc))
{
    l=(poc-min)+(max-min);
}
else
{
    l=(max-poc)+(max-min);
}
printf( "%d", l);    
return 0;    
}